Enable restriction on nodeId for CN.listObjects

2015-05-14 16:00 - Dave Vieglais

Status: Closed Start date: 2015-05-14

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

Subtasks:

Task # 7099: Document the changes to cn.listObjects Closed

Task # 7100: Implement changes to CN.listObjects Closed

History

#1 - 2015-05-14 16:03 - Dave Vieglais

It is often necessary to retrieve a list of synchronized objects from the CN to verify MN functionality. However, it is not currently possible to limit list

objects to a specific NodeID, and so the solr index is typically used to provide the list. Since listObjects is more directly related to the actual

synchronized content, it may be more accurate in some cases to use this service over search or query. It would also enable comparison of results in

the index vs not.

#2 - 2015-06-16 15:13 - Dave Vieglais

- Target version changed from CCI-2.0.0 to CCI-2.0-TRUNK

#3 - 2015-07-01 16:22 - Dave Vieglais

- Target version changed from CCI-2.0-TRUNK to CCI-2.0.0

#4 - 2015-07-01 16:51 - Dave Vieglais

- Category set to d1_cn_service

#5 - 2015-07-16 00:06 - Ben Leinfelder

This is updated in d1_common_java and d1_libclient_java. See subtask for Metacat impl progress.

#6 - 2015-08-04 18:56 - Dave Vieglais

- Assignee set to Dave Vieglais

#7 - 2015-08-04 19:01 - Jing Tao

- Status changed from New to Closed

- % Done changed from 0 to 100
